Skip to main content
POST
/
account-videos
/
metrics
Batch windowed account-video metrics
curl --request POST \
  --url https://api.creatoraudit.com/v2/account-videos/metrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "instagram_post_ids": [
    123
  ],
  "tiktok_video_ids": [
    123
  ],
  "period": "30d",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25"
}
'
{
  "data": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
instagram_post_ids
integer[]

Internal instagram_post ids.

tiktok_video_ids
integer[]

Internal tiktok_video ids.

period
enum<string>
default:30d

Preset window (7d/30d/90d) or 'custom' with start_date/end_date.

Available options:
7d,
30d,
90d,
custom
start_date
string<date> | null

Inclusive UTC start; required when period=custom.

end_date
string<date> | null

Inclusive UTC end; required when period=custom.

Response

Successful Response

data
object
required
meta
object
required